You may receive an error during checkout, like:
– An error occurred when we tried to contact the payment processor. Please try again, select an alternate payment method, or contact the store owner for assistance.
– (35) error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number
– (35) error:14094410:SSL routines:func(148):reason(1040)
– (35) SSL connect error
– 35 Connect error

 

paypal error

———————————Solution ———————————-

ZEN CART v1.5.4 ALREADY CONTAINS THESE FIXES!  YOU SHOULD UPGRADE NOW!

Other

Find all Affected files:
/includes/modules/payment/paypal/paypal_curl.php around line 58
/includes/modules/payment/authorizenet_aim.php around line 600
/includes/modules/payment/authorizenet_echeck.php around line 589
/includes/modules/payment/paypaldp.php around line 2342 (not necessary in all versions, but if it’s present, comment it out)
/includes/modules/payment/linkpoint_api/class.linkpoint_api.php around line 309

 

Search all PHP files for “CURLOPT_SSLVERSION”  

its look like :